VIGRA - TemplateConstValueIterator class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| ConstValueIterator Class Template Reference |
--- | --- | ---

Iterator that always returns the constant specified in the constructor. More...

`#include "vigra/imageiterator.hxx"`

## Public Types
typedef PIXELTYPE | value_type
typedef PIXELTYPE | PixelType
typedef PIXELTYPE const & | reference
typedef PIXELTYPE const & | index_reference
typedef PIXELTYPE const * | pointer
typedef Diff2D | difference_type
typedef image_traverser_tag | iterator_category
typedef IteratorAdaptor< ConstValueIteratorPolicy< PIXELTYPE > > | row_iterator
typedef IteratorAdaptor< ConstValueIteratorPolicy< PIXELTYPE > > | column_iterator
typedef int | MoveX
typedef int | MoveY
## Public Methods
| ConstValueIterator ()
| ConstValueIterator (PixelType const &v)
| ConstValueIterator (ConstValueIterator const &v)
ConstValueIterator & | operator= (ConstValueIterator const &v)
ConstValueIterator & | operator+= (Diff2D const &d)
ConstValueIterator & | operator-= (Diff2D const &d)
ConstValueIterator | operator+ (Diff2D const &d) const
ConstValueIterator | operator- (Diff2D const &d) const
Diff2D | operator- (ConstValueIterator const &r) const
bool | operator== (ConstValueIterator const &r) const
bool | operator!= (ConstValueIterator const &r) const
reference | operator * () const
pointer | operator-> () const
index_reference | operator() (int const &, int const &) const
index_reference | operator[] (Diff2D const &) const
row_iterator | rowIterator () const
column_iterator | columnIterator () const
## Public Attributes
Specify coordinate direction for navigation commands
int | x
| refer to x coordinate
int | y
| refer to y coordinate

## Detailed Description

### template<class PIXELTYPE>
class vigra::ConstValueIterator< PIXELTYPE >

Iterator that always returns the constant specified in the constructor.

This iterator can be used to simulate an image that does not actually exist.

#include "vigra/imageiterator.hxx"

Namespace: vigra

## Member Typedef Documentation

typedef IteratorAdaptor<ConstValueIteratorPolicy<PIXELTYPE> > column_iterator

| The associated column iterator.

typedef Diff2D difference_type

| the iterator's difference type (argument type of `iter[diff]`)

typedef PIXELTYPE const& index_reference

| the iterator's index reference type (return type of `iter[diff]`)

typedef image_traverser_tag iterator_category

| the iterator tag (image traverser)

typedef int MoveX

| Let operations act in X direction

typedef int MoveY

| Let operations act in Y direction

typedef PIXELTYPE PixelType

| The type of the constant the iterator holds.

typedef PIXELTYPE const* pointer

| the iterator's pointer type (return type of `iter.operator->()`)

typedef PIXELTYPE const& reference

| the iterator's reference type (return type of `*iter`)

typedef IteratorAdaptor<ConstValueIteratorPolicy<PIXELTYPE> > row_iterator

| The associated row iterator.

typedef PIXELTYPE value_type

| The type of the constant the iterator holds.

## Constructor & Destructor Documentation

ConstValueIterator | ( |  | ) | `[inline]`

| Default Constructor. (the constant is set to `NumericTraits<PIXELTYPE>::zero()` )

ConstValueIterator | ( | PixelType const & | v | ) | `[inline]`

| Construct with given constant.

ConstValueIterator | ( | ConstValueIterator< PIXELTYPE > const & | v | ) | `[inline]`

| Copy Constructor.

## Member Function Documentation

column_iterator columnIterator | ( |  | ) | const`[inline]`

| Get column iterator at current position (which will also hold the constant).

reference operator * | ( |  | ) | const`[inline]`

| Read current pixel (return specified constant).

bool operator!= | ( | ConstValueIterator< PIXELTYPE > const & | r | ) | const`[inline]`

| Inequality.

index_reference operator() | ( | int const & | ,
|  | int const & |
| ) | const`[inline]`

| Read pixel at a distance (return specified constant).

ConstValueIterator operator+ | ( | Diff2D const & | d | ) | const`[inline]`

| Create iterator at specified distance.

ConstValueIterator& operator+= | ( | Diff2D const & | d | ) | `[inline]`

| Move iterator by specified distance.

Diff2D operator- | ( | ConstValueIterator< PIXELTYPE > const & | r | ) | const`[inline]`

| Compute distance between two iterators

ConstValueIterator operator- | ( | Diff2D const & | d | ) | const`[inline]`

| Create iterator at specified distance.

ConstValueIterator& operator-= | ( | Diff2D const & | d | ) | `[inline]`

| Move iterator by specified distance.

pointer operator-> | ( |  | ) | const`[inline]`

| Call member function for stored constant.

ConstValueIterator& operator= | ( | ConstValueIterator< PIXELTYPE > const & | v | ) | `[inline]`

| Copy Assigment.

bool operator== | ( | ConstValueIterator< PIXELTYPE > const & | r | ) | const`[inline]`

| Equality.

index_reference operator[] | ( | Diff2D const & |  | ) | const`[inline]`

| Read pixel at a distance (return specified constant).

row_iterator rowIterator | ( |  | ) | const`[inline]`

| Get row iterator at current position (which will also hold the constant).

The documentation for this class was generated from the following file:

- vigra/imageiterator.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)